# DATABASE SETTINGS
DB_HOST=
DB_PORT=
DB_DATABASE=
DB_USERNAME=
DB_PASSWORD=

# AUTH SETTINGS
AUTH_DOMAIN=
AUTH_ISSUER=
AUTH_CLIENT_ID=
AUTH_CLIENT_SECRET=
AUTH_REDIRECT_URI=
AUTH_REVOCATION_URI=
AUTH_END_SESSION_URI=
# AUTH_MODE=mock #uncomment this to bypass authentik

# SERVER SETTINGS
SERVER_PORT=3000
CLIENT_URL= # This is whatever URL the client web app is served on
CLIENT_DOMAIN= #whatever.com
APPLICATION_VERSION= # Should match release tag
APPLICATION_ENVIRONMENT= # dev / prod
CONFIG_ID= # config version 

# webhooks/integrations
DISCORD_APPLICATIONS_WEBHOOK=

# Logger
LOG_DEPTH= # normal / verbose / profiling

# Glitchtip
GLITCHTIP_DSN=
DISABLE_GLITCHTIP= # true/false

# Bookstack
DOC_HOST=  # https://bookstack.whatever.com/
DOC_TOKEN_SECRET=
DOC_TOKEN_ID=